Skip to content

condenser_api.get_feed_entries ​

since HF14

Purpose ​

Returns a list of entries in an account's feed. Parameters: account:string; start_entry_id:int; limit:int up to 500

account (string)start_entry_id (int)limit (int)
"steemit"01Queries the account named steemit starting on the first item, up to 1 result.
"alice"110Queries the account named alice starting on the second item, up to 10 results.

Also see: follow_api.get_feed_entries, Paginated API Methods

Parameters ​

PARAMETERS
json
[
  "",
  0,
  1
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_feed_entries",
    "params": [
      "steemit",
      0,
      1
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_feed_entries",
    "params": [
      "alice",
      1,
      10
    ],
    "id": 1
  }'